﻿select
    VE.Vendor,
    VE.Name,
    sum(case when month(LedgerAP.TransDate) = 1 
        then LedgerAP.Amount 
        else 0 end) as month01,
    sum(case when month(LedgerAP.TransDate) = 2 
        then LedgerAP.Amount 
        else 0 end) as month02,
    sum(case when month(LedgerAP.TransDate) = 3 
        then LedgerAP.Amount 
        else 0 end) as month03,
    sum(case when month(LedgerAP.TransDate) = 4 
        then LedgerAP.Amount 
        else 0 end) as month04,
    sum(case when month(LedgerAP.TransDate) = 5 
        then LedgerAP.Amount 
        else 0 end) as month05,
    sum(case when month(LedgerAP.TransDate) = 6 
        then LedgerAP.Amount 
        else 0 end) as month06,
    sum(case when month(LedgerAP.TransDate) = 7 
        then LedgerAP.Amount 
        else 0 end) as month07,
    sum(case when month(LedgerAP.TransDate) = 8 
        then LedgerAP.Amount 
        else 0 end) as month08,
    sum(case when month(LedgerAP.TransDate) = 9 
        then LedgerAP.Amount 
        else 0 end) as month09,
    sum(case when month(LedgerAP.TransDate) = 10 
        then LedgerAP.Amount 
        else 0 end) as month10,
    sum(case when month(LedgerAP.TransDate) = 11 
        then LedgerAP.Amount 
        else 0 end) as month11,
    sum(case when month(LedgerAP.TransDate) = 12 
        then LedgerAP.Amount 
        else 0 end) as month12,
    sum(LedgerAP.Amount) as total
from
    VE
    join VendorCustomTabFields on VE.Vendor = VendorCustomTabFields.Vendor
    /*add financial information*/
    left join LedgerAP on VE.Vendor = LedgerAP.Vendor
where
	LedgerAP.TransType in ('AP', 'CV') and
    year(LedgerAP.TransDate	) = 2005 
group by 
	VE.Vendor,
    VE.Name
order by 
	VE.Vendor,
    VE.Name